# TranslationRotationScale

#### new Cesium.TranslationRotationScale(translation, rotation, scale)
Core/TranslationRotationScale.js 19

An affine transformation defined by a translation, rotation, and scale.

Name | Type | Default | Description
--- | --- | --- | ---
`translation` | Cartesian3 | `Cartesian3.ZERO` | optional A `Cartesian3` specifying the (x, y, z) translation to apply to the node.
`rotation` | Quaternion | `Quaternion.IDENTITY` | optional A `Quaternion` specifying the (x, y, z, w) rotation to apply to the node.
`scale` | Cartesian3 | `new Cartesian3(1.0, 1.0, 1.0)` | optional A `Cartesian3` specifying the (x, y, z) scaling to apply to the node.

### Members

#### rotation : Quaternion
Core/TranslationRotationScale.js 32

Gets or sets the (x, y, z, w) rotation to apply to the node.

Default Value: `Quaternion.IDENTITY`

#### scale : Cartesian3
Core/TranslationRotationScale.js 39

Gets or sets the (x, y, z) scaling to apply to the node.

Default Value: `new Cartesian3(1.0, 1.0, 1.0)`

#### translation : Cartesian3
Core/TranslationRotationScale.js 25

Gets or sets the (x, y, z) translation to apply to the node.

Default Value: `Cartesian3.ZERO`

### Methods

#### equals(right) → Boolean
Core/TranslationRotationScale.js 49

Compares this instance against the provided instance and returns `true` if they are equal, `false` otherwise.

Name | Type | Description
--- | --- | ---
`right` | TranslationRotationScale | optional The right hand side TranslationRotationScale.

##### Returns:

`true` if they are equal, `false` otherwise.